function ygir_sim=simulation(x,y0,t)
    RR = [x(1),x(2),x(3),x(4)];

    zs=size(t);
    z=zs(2);

    t0 = 0;

    yalt = y0;
    ygir_sim = yalt

    u_begrenzt_aktuell = 0;
    u_merk = [0];

    index_umerk = 1;

    //Für die numerische Bestimmung der Zustandsgrößen
    phi       = y0(1);
    phi_alt   = y0(1);
    phi_integ = 0.0;    
    omega         = 0.0;
    omega_alt     = 0.0;

    s_int=0.0;
    s_phi=0.0;
    s_ome=0.0;
    s_alf=0.0;

    //Vorbereitung für das implizite Eulerverfahren:
    // yk+1 = inv(E-A*dt)*(yk+B*uk*dt)
    // yk+1 =          AI*(yk+B*uk*dt)
    AI = inv(eye(4,4)-Agii*dt);
    ysim = [0;0;0;0];

    for i=1:1:z-1
        takt = t(i);

        phi_alt = phi;
        omega_alt = omega;

        phi = yalt(1) + grand(1, 1, "nor", MITTELWERT, STREUUNG);
//        phi = yalt(1);
        phi_integ = phi_integ + phi*dt;    
        omega = (phi - phi_alt)/dt;
        alfa  = (omega - omega_alt)/dt;

        //Numerisch rekonstruierter Zustand:
        ynum = [phi_integ;phi;omega;alfa];

        //weiteren Zustand durch Simulation rekonstruieren:
        ymodell = ysim;

        //implizites Euler-Verfahren:
        ysim = AI*(ymodell+Bgii*u_begrenzt_aktuell*dt);        

        //Korrekturfaktor, um simuliertes y nahe an das reale zu holen:
        LL = [1.0,100.0,1.0,0.1]; //phi am stärksten gewichten

        //Zeitschritt durchführen:
        yneu=ruku(yalt,takt,dt);
        ygir_sim=[ygir_sim,yneu];

        yalt=yneu;

        //Erst danach das Stellsignal aktualisieren:

        u_begrenzt_aktuell = -RR*ynum + LL*(ynum-ysim);

        if u_begrenzt_aktuell>480 then
            u_begrenzt_aktuell=480;
        end

        if u_begrenzt_aktuell<-480 then
            u_begrenzt_aktuell=-480;
        end
    end
endfunction
